org.eclipse.microprofile.rest.client.tck.providers

## Class TestWriterInterceptor

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestWriterInterceptor

All Implemented Interfaces:
  jakarta.ws.rs.ext.WriterInterceptor

    public class TestWriterInterceptor
    extends Object
    implements jakarta.ws.rs.ext.WriterInterceptor

### Constructor Summary

Constructors
Constructor and Description
`TestWriterInterceptor()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `aroundWriteTo(jakarta.ws.rs.ext.WriterInterceptorContext writerInterceptorContext)`
`static int` `getAndResetValue()`
`static int` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestWriterInterceptor

    public TestWriterInterceptor()

### Method Detail

#### aroundWriteTo

    public void aroundWriteTo(jakarta.ws.rs.ext.WriterInterceptorContext writerInterceptorContext)
                       throws IOException,
                              jakarta.ws.rs.WebApplicationException

Specified by:
  `aroundWriteTo` in interface `jakarta.ws.rs.ext.WriterInterceptor`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`

#### getValue

    public static int getValue()

#### getAndResetValue

    public static int getAndResetValue()